/*!
 * React Native Globalize
 *
 * Copyright 2015-2020 Josh Swan
 * Released under the MIT license
 * https://github.com/joshswan/react-native-globalize/blob/master/LICENSE
 */
export function enhanceCurrencyFormatter(getCurrencyFormatter, config) {
    return (currency, options) => getCurrencyFormatter(currency || config.currencyCode, options);
}
export function formatCurrency(config, getCurrencyFormatter, value, currencyCode, options) {
    try {
        return getCurrencyFormatter(currencyCode || config.currencyCode, options)(value);
    }
    catch (e) {
        config.onError('Error formatting currency. Value must be a number.', e);
    }
    return String(value);
}
